package Controleurs;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JComboBox;
import javax.swing.JLabel;

import Modèle.Groupe;

public class EcouteurComboAjoutUtil implements ActionListener{
	protected JLabel jl;
	protected Vector<Groupe> groupes;
	public EcouteurComboAjoutUtil(JLabel jl,Vector<Groupe> groupes){
		this.groupes=groupes;
		this.jl=jl;
	}
	public void actionPerformed(ActionEvent e){
		jl.setText("Les droits du groupe selectionné sont : "+groupes.get(((JComboBox)(e.getSource())).getSelectedIndex()).getDroits());
		jl.repaint();
	}

}
